# Interface GenericImageEncoder

All Known Implementing Classes:
  `GifEncoder, ImageEncoder, Jpg64Encoder, JpgEncoder, PdfEncoder, PngEncoder, PpmEncoder`

public interface GenericImageEncoder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`createImage(String type, OC out, Map<String,Object> params)`

## Method Details

### createImage

boolean createImage(String type, OC out, Map<String,Object> params) throws Exception

Throws:
  `Exception`